%define	name 	gpsdrive
%define	version	2.08
%define	release	1mdk

%define	major	2
%define	libname	%mklibname fly %{major}

Summary:	GPS based navigation tool 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.kraftvoll.at/software/
Group:		Networking/Other
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-48.png
Source2:	%{name}-32.png
Source3:	%{name}-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gdk-pixbuf-devel >= 0.11
BuildRequires:	gtk+2-devel >= 2.1
BuildRequires:	pcre-devel
Requires:	gdk-pixbuf >= 0.11

%description
Gpsdrive is a map-based navigation system. It displays your position on a 
zoomable map provided from a NMEA-capable GPS receiver. The maps are 
autoselected for the best resolution, depending of your position, and the 
displayed image can be zoomed. Maps can be downloaded from the Internet with 
one mouse click. The program provides information about speed, direction, 
bearing, arrival time, actual position, and target position. Speech output 
is also available.

%package -n %libname
Summary:	Gpsdrive needed library
Group:		System/Libraries

%description -n %libname
Gpsdrive needed library

%package -n %libname-devel
Summary:	Gpsdrive needed library
Group:		Development/C
Requires:	%libname = %version
Provides:	libfly-devel = %{version}-%{release}
Provides:	fly-devel = %{version}-%{release}

%description -n %libname-devel
Development files.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf $RPM_BUILD_ROOT/%_datadir/%name/{AUTHORS,FAQ*,LEEME,LISEZMOI,README*,TODO,NMEA*,GPS-*}

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

#menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \ 
section="More applications/Other" \
title="GpsDrive" \
longtitle="A GPS based navigation tool for Gnome" \
command="%{_bindir}/%{name}" \
icon="gpsdrive.png"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
   
%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc GPS-receivers AUTHORS TODO README LEEME
%{_bindir}/*
%{_mandir}/man1/gpsdrive.1*
%{_mandir}/es/man1/gpsdrive.1*
%{_mandir}/de/man1/gpsdrive.1*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_datadir/%name
%_datadir/applications/*
%_datadir/pixmaps/*

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.*a

%changelog
* Thu Feb 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.08-1mdk
- 2.08

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 2.07-2mdk
- Fix menu

* Mon Jan 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.07-1mdk
- 2.07

* Fri Jan 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.06-1mdk
- 2.06

* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.04-1mdk
- 2.04
- spec cosmetics
- fix buildrequires (lib64..)
- fix provides
- remove explicit library dependency
- don't bzip2 icons in src.rpm
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- remove .bz2 ending of man pages
- use %%mklibname macro

* Wed Aug 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.03-1mdk
- 2.03

* Fri Aug 01 2003 Michael Scherer <scherer.michael@free.fr> 2.01-2mdk
- BuildRequires ( libgtk+2.0_0-devel, libpcre0-devel )
 
* Sat Jul 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.01-1mdk
- 2.01

* Wed Jul 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.00-1mdk
- 2.00

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.32-1mdk
- 1.32

* Tue Nov 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.30-1mdk
- 1.30

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.26-1mdk
- 1.26

* Thu Jul 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.25-1mdk
- 1.25

* Tue Jul 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.24-1mdk
- 1.24

* Tue May 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.22-1mdk
- 1.22

* Mon May 13 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.21-1mdk
- 1.21

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.20-1mdk
- 1.20

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.19-1mdk
- 1.19

* Tue Apr 23 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.18-1mdk
- 1.18

* Mon Apr 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.17-1mdk
- 1.17
- add libfly & libfly-devel subpackages

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.16-1mdk
- 1.16

* Mon Mar 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.12-1mdk
- 1.12

* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.9-1mdk
- 1.9

* Mon Feb 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- 1.8

* Thu Jan 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.7-2mdk
- s/Copyright/License
- add url
- icons

* Mon Jan 14 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.7-1mdk
- use macros
- use %%find_lang
- proper menu support
- change group from Tools to Communications (rpmlint)
- use %%defattr

* Fri Jan 11 2002 Flix Martos <pakito@asinkecualo.org>
- Update to GPSDrive 1.7
- Download map now only works in this version

* Sun Dec 02 2001 Flix Martos <pakito@asinkecualo.org>
- Update to GPSDrive 1.6

* Fri Nov 16 2001 Flix Martos <pakito@asinkecualo.org>
- Update to GPSDrive 1.5
- Added Author Changelog

* Fri Nov 16 2001 Fritz Ganter <ganter@ganter.at>
    - 11/16/2001 Version 1.5: In friendsmode you can select your friend 
      from the waypoint list. In this case, the position of the target is 
      dynamically updated. In the text near the friends-position icon you 
      see also the day of the week together with the time of the last transmit. If you have an internet connection, connect gpsdrive in simulation mode to linux.quant-x.at, i.e. gpsdrive -n Fred -f linux.quant-x.at, and make a truck race with other GpsDrive users. But replace "Fred" with your name! ;-)
    - 11/13/2001 Version 1.4: Some improvement on friends server. Added 
      friendsserver to english man page. The friendsserver displays friends 
      position, speed, direction and time of last transmit. To use it start 
      friendsd on a internetserver and call gpdrive -n Yourname -f servername. 
      For details see man page
    - 11/12/2001 Version 1.3: Testversion for displaying your friends if you 
      start the friendsd server. See gpsdrive -h.
    - 11/04/2001 Version 1.2: Added spanish and german man pages. The man pages
      are online available (see Download section). Cosmetic changes, updated 
      translations.
    - 11/03/2001 Version 1.1: Added button to select directly less/more 
      detailed map. Added switch for autoselect best map. Replaced dk 
      language with da, because da is dansk, not dk. New layout, some buttons 
      are now checkboxes.
    - 11/02/2001 Version 1.0: GpsDrive is ready for the step to version 1.0, 
      which is almost the same as 0.36, but added spanish speech output. Manual
      page is now online.
    - 11/01/2001 Version 0.36: Added option -o to output NMEA sentences. 
      Festival (speech output server) is now initialized for correct language 
      by GpsDrive. Update manpage and translations.
    - 10/28/2001 Version 0.35: Added store and load track. GpsDrive autodetects
      screensize and fits into screen now. Some bugfixes. Updated dutch and 
      spanish translations. Added spanish README (LEEME).
    - 10/23/2001 Version 0.34: Added usage of a proxy server. See manpage 
      (man gpsdrive) for details.
    - Older changes are in Changelog.

* Wed Nov 11 2001 Flix Martos <pakito@asinkecualo.org>
- Contributed Mandrake package of GPSDrive 1.4

* Sun Oct 14 2001 Flix Martos <pakito@asinkecualo.org>                         - Version 0.32                                                                                                                                                  * Sun Oct 14 2001 Fritz Ganter <ganter@ganter.at>                               - Version 0.32: You can choice the downloadserver between mapblast                and expedia.                                                                    Installs data files now in right place (configure --prefix=).                   RPM installs now per default in /usr. Rewritten README.                         Program now creates a ~/.gpsdrive directory if it was not found.                It also creates a map_koord.txt in it.                                          Some bugfixes (if Numlock or Shiftlock is on).                                                                                                                

* Wed Oct 10 2001 Flix Martos <pakito@asinkecualo.org>
- First mandrake unofficial release

* Tue Oct 9 2001 Fritz Ganter <ganter@ganter.at>
- Version 0.31: Warning window if wrong filenames in
  map_koord.txt. Radar bugfix. Added man page. Updated
  spanish translation. Fix if you use GCC 3.0 as C++ compiler
	       
	       
